Mailinglist Archive: opensuse-updates (98 mails)

< Previous Next >
openSUSE-RU-2015:0407-1: moderate: Recommended update for wicked
openSUSE Recommended Update: Recommended update for wicked
______________________________________________________________________________

Announcement ID: openSUSE-RU-2015:0407-1
Rating: moderate
References: #904323 #905421 #909307 #911299 #911562 #914792

Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that has 6 recommended fixes can now be installed.

Description:


wicked was updated to version 0.6.17 fixing various bugs.

- nanny: fixed a memory-leak on policy load failure
- wickedd: fixed broken dummy0 autocreation workaround
- ifreload: segfault fix to require argument for --timeout option
- client/nanny: initial handing of link-detection/require-link and timeout
control flags (LINK_REQUIRED, LINK_READY_WAIT variables in suse ifcfg)
to continue setup without ready link when requested in the config or
based on device requirements (bsc#911562,bsc#914792).
- client/nanny: wait for event ACKs from wickedd instead to continue
on successful request results where possible, to minimize the risk
of an event backlog (bsc#905421).
- client/nanny: fsm timer and cleanup related fixes and improvements, fix
to use "device-setup" (MAC, bond/bridge options, ...) as state name
instead of "device-up" and use "device-up" as state when the device/link
is administratively set UP. Separated waitLinkUp method to wait for
link/carrier from linkUp setting it administratively UP.
- wickedd: fix to handle automatically created dummy0 interface
- wireless: consider auth-proto parameter (wpa1|wpa2) (bsc#911299)
- ipv6: add accept-dad sysctl support, fix accept-ra constants
- dhcp4: do not set/query mtu if set in the config (bsc#904323)
- dhcp4: limit MTU to be lower-equal 576 as before
- dhcp4: completed user-class option support permitting an rfc3004
formatted option or as non-rfc, but widely used string (bsc#909307)


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-188=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libwicked-0-6-0.6.17-12.1
libwicked-0-6-debuginfo-0.6.17-12.1
wicked-0.6.17-12.1
wicked-debuginfo-0.6.17-12.1
wicked-debugsource-0.6.17-12.1
wicked-service-0.6.17-12.1


References:

https://bugzilla.suse.com/904323
https://bugzilla.suse.com/905421
https://bugzilla.suse.com/909307
https://bugzilla.suse.com/911299
https://bugzilla.suse.com/911562
https://bugzilla.suse.com/914792


< Previous Next >
This Thread
  • No further messages